### Method

# Camel KeyTable add

#### Declaration [src]

    camel_key_t
    camel_key_table_add (
      CamelKeyTable* ki,
      const gchar* key,
      camel_block_t data,
      guint flags
    )

#### Description

No description available.

#### Parameters

`key`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`data`

  Type: `camel_block_t`

  No description available.

`flags`

  Type: `guint`

  No description available.

#### Return value

Type: `camel_key_t`

No description available.